<?php
require_once './include/version.php';
require_once './lib/core.php';

require('smarty/libs/Smarty.class.php');
$smarty = new Smarty();

$smarty->plugins_dir[] = 'include';
require_once $smarty->_get_plugin_filepath('function', 'html_doctype');

try {
	$login = new login(true);
	$smarty->assign('login', $login);
} catch (LoginException $e) {
	header( 'Location: login.php' ) ;
} 

if (isset($_POST['submit'])) {
	$db = new phpusertrack_site();
	$db->addSite($_POST['name'], $_POST['url'], $_POST['desc']);
	$notify[] = array('title' => 'Site Added', 
		'desc' => '\'' . $_POST['name'] . '\' was successfully added',
		'type' => 'success'
	);
	$smarty->assign('siteAdded', true);
}

$smarty->assign('notifMsg', $notify);

$smarty->display('header.tpl');
$smarty->display('site.tpl');
$smarty->display('footer.tpl');

?>
