<?php
require_once './include/version.php';
require_once './lib/core.php';

require('smarty/libs/Smarty.class.php');
$smarty = new Smarty();

$smarty->plugins_dir[] = 'include';
require_once $smarty->_get_plugin_filepath('function', 'html_doctype');

try {
	$login = new login(true);
	$smarty->assign('login', $login);
} catch (LoginException $e) {
	header( 'Location: login.php' ) ;
} 

$pattern = '/[\d]+(\.[\d]+)*(-[\w]*[\d])?/';
preg_match($pattern, file_get_contents('http://svn.chatetheory.com/phpusertrack/trunk/include/version.php'), $version);

$smarty->assign('newestVersion', $version[0]);
$smarty->assign('thisVersion', PHPUSERTRACK_VERSION);

$smarty->display('header.tpl');
$smarty->display('checklatest.tpl');
$smarty->display('footer.tpl');

?>
