<?php
	require_once './include/version.php';
	require_once './lib/core.php';
	
	require('smarty/libs/Smarty.class.php');
$smarty = new Smarty();

$smarty->plugins_dir[] = 'include';
require_once $smarty->_get_plugin_filepath('function', 'html_doctype');

try {
	$login = new login(true);
	$smarty->assign('login', $login);
} catch (LoginException $e) {
	header( 'Location: login.php' ) ;
} 

$smarty->assign('notifMsg', $notify);

$smarty->display('header.tpl');
$smarty->display('help.tpl');
$smarty->display('footer.tpl');

?>
