<?php
/**
 * This is an example of what a plugin could look like. Required functions are _type() and invoke()
 */
/**
 * ipEcho plugin class. Echo out the users IP address
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 * @subpackage Plugins
 */
class ipEcho extends plugins {
	
	function ipEcho() {
	}
	
	/**
	 * Invoke the plugin, echo out IP address
	 * @param string $ip IP Address
	 */
	function invoke($ip) {
		echo $ip->getIp();
	}
	
	/**
	 * The type of plugin
	 * @return string
	 */
	function _type() {
		return 'ip.post';
	}

}
	
?>